OGR error on feature: id too large

2017-04-01 03:33 AM - Romain Blanc

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24313

Description

On a GeoPackage layer with a feature id column ("fid"), it is possible to add features with very long fid (like 4345345453544) but not to

delete the feature (or edit the fid). In these cases, QGIS returns a commit error: OGR error on feature1234*: id too large* (see

screenshots attached).

Tested on QGIS 2.18.5 and 2.99, W10 x64

Associated revisions

Revision 2c49631b - 2017-11-13 03:49 PM - Even Rouault

[OGR provider] Support 64bit FID (partially implemented per 8f3d44d4e9321efc035a6080b161f5dd48d4f230 in master) (fixes #16404)

Revision 86247cfd - 2017-11-13 03:50 PM - Even Rouault

[OGR provider] Support 64bit FID (fixes #16404)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-11-13 03:49 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|2c49631bc98da90d1657005abfd1fe6ca7a88d2b.
